#pragma once

#include "resource_manager.h"
#include "audio_sample.h"

namespace Halley {
	class SampleManager : public ResourceManager<AudioSample> {
	public:
		SampleManager(String basePath);

	protected:
		virtual shared_ptr<AudioSample> load(String name);
	};
}
